ch.qos.logback.classic.html

## Class DefaultCssBuilder

- java.lang.Object
- - ch.qos.logback.classic.html.DefaultCssBuilder

All Implemented Interfaces:
  CssBuilder

    public class DefaultCssBuilder
    extends Object
    implements CssBuilder

This class helps the HTMLLayout build the CSS link. It either provides the HTMLLayout with a default css file, or builds the link to an external, user-specified, file.

Author:
  Sébastien Pennec

### Constructor Summary

Constructors
Constructor and Description
`DefaultCssBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCss(StringBuilder sbuf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultCssBuilder

    public DefaultCssBuilder()

### Method Detail

#### addCss

    public void addCss(StringBuilder sbuf)

Specified by:
  `addCss` in interface `CssBuilder`